Bug 101222 - redhat-config-network does not configure wireless PCMCIA card (Compaq WL110)
redhat-config-network does not configure wireless PCMCIA card (Compaq WL110)
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2003-07-30 04:49 EDT by Dr. Peter Boy
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-05 04:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dr. Peter Boy 2003-07-30 04:49:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.2.1) Gecko/20021204

Description of problem:
rh-c-n does not recognize a Compaq WL 110 (orinoco_cs) as a wireless card but
instead as a standard (wired) ethernet card. Accordingling in the configuration
dialog there is no tab to enter wireless specific information (SSID, encryp.,
...), but the tabs for a standard ethernet card are shown.

Hardware: IBM Thinkpad T40o (centrino), Compaq WL 110

The pcmcia subsystem ist started, the card is recognized and integrated into the
system (lsmod shows the modules). Card itself is activated.

Workaround: use the command line utilities iwconfig and /etc/init.d/network
start instead

Problem is not present in RH 9 (rh-c-n 1.2.0-2). With other IBM Laptops (older
modelss, non centrino) and other wLan card the problem reportedly does not exist
with current rh-c-n 1.3.1-1, too). So prob may be due to centrino and/or Compaq

Version-Release number of selected component (if applicable):
redhat-config-network 1.3.1-1

How reproducible:

Steps to Reproduce:
1.Pick up an T40p and a Compaq WL 110
2.Insert the Compaq
3.Start Severn Beta 1
4.Start Redhat-config-network

Actual Results:  In the initial list of devices, the internal eth0 and the
pmcmia wireless eth1 are listed, but the wireless eth1 does not carry a wireless

Select eth1 (wireless) and choose the button edit, the configuration notebook
opens. There are 3 standard tabs (general, route, hardware) instead of the
wireless specific tabs (general, hardware, wireless) 

Expected Results:  Of course: a configuration notebook including the wireless tab

Additional info:

Note You need to log in before you can comment on or make changes to this bug.